<?php

/**
 * settings-adv-meta-boxes.class.php
 *
 * @author Dominik Kocuj <dominik@kocuj.pl>
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License v2 or later
 * @copyright Copyright (c) 2013-2016 Dominik Kocuj
 * @package kocuj_sitemap
 */

// set namespace
namespace KocujSitemapPlugin\Classes\KocujPlLibStrings\Backend;

// security
if ((!defined('ABSPATH')) || ((isset($_SERVER['SCRIPT_FILENAME'])) && (basename($_SERVER['SCRIPT_FILENAME']) === basename(__FILE__)))) {
	header('HTTP/1.1 404 Not Found');
	die();
}

/**
 * \KocujPlLib\V4a\Classes\Project\Components\Backend\SettingsAdvMetaBoxes classes strings
 *
 * @access public
 */
class SettingsAdvMetaBoxes implements \KocujInternalLib\V4a\Interfaces\Strings {
	/**
	 * Singleton instance
	 *
	 * @access private
	 * @var object
	 */
	private static $instance = NULL;

	/**
	 * Constructor
	 *
	 * @access private
	 * @return void
	 */
	private function __construct() {
	}

	/**
	 * Disable cloning of object
	 *
	 * @access private
	 * @return void
	 */
	private function __clone() {
	}

	/**
	 * Get singleton instance
	 *
	 * @access public
	 * @return object Singleton instance
	 */
	public static function getInstance() {
		// optionally create new instance
		if (!self::$instance) {
			self::$instance = new self();
		}
		// exit
		return self::$instance;
	}

	/**
	 * Get string
	 *
	 * @access public
	 * @param string $id String id
	 * @return string Output string
	 */
	public function getString($id) {
		// get string
		switch ($id) {
			case 'ACTION_ADMIN_INIT_META_BOX_AUTHOR_TITLE':
				return __('Order your own unique website', 'kocuj-sitemap');
			case 'ACTION_ADMIN_INIT_META_BOX_AUTHOR_TEXT_1':
				/* translators: %s: Link (HTML anchor) to website */
				return __('Visit %s website for more information about ordering the website creation.', 'kocuj-sitemap');
			case 'ACTION_ADMIN_INIT_META_BOX_AUTHOR_TEXT_2':
				return __('About Dominik Kocuj - the author of this plugin and owner of %s website', 'kocuj-sitemap');
			case 'ACTION_ADMIN_INIT_META_BOX_AUTHOR_TEXT_3':
				return __('almost 8 years of working as a websites developer', 'kocuj-sitemap');
			case 'ACTION_ADMIN_INIT_META_BOX_AUTHOR_TEXT_4':
				return __('experience of paid employment and self-employed', 'kocuj-sitemap');
			case 'ACTION_ADMIN_INIT_META_BOX_AUTHOR_TEXT_5':
				return __('extensive experience in developing plugins and websites in WordPress', 'kocuj-sitemap');
			case 'ACTION_ADMIN_INIT_META_BOX_AUTHOR_TEXT_6':
				return __('experience in long-term support of websites, including the online shop and blog based on the WordPress, for the client in UK', 'kocuj-sitemap');
			case 'ACTION_ADMIN_INIT_META_BOX_AUTHOR_TEXT_7':
				return __('experience in creating web services for large companies, such as: Polkomtel (Plus GSM), Grand Parade, Betfair, Ladbrokes', 'kocuj-sitemap');
		}
		// exit
		return '';
	}
}
