<?php

/**
 * kocuj-pl-lib.class.php
 *
 * @author Dominik Kocuj <dominik@kocuj.pl>
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU General Public License v2 or later
 * @copyright Copyright (c) 2016 Dominik Kocuj
 * @package kocuj_internal_lib\kocuj_pl_lib
 */

// set namespace
namespace KocujPlLib\V4a;

// security
if ((!defined('ABSPATH')) || ((isset($_SERVER['SCRIPT_FILENAME'])) && (basename($_SERVER['SCRIPT_FILENAME']) === basename(__FILE__)))) {
	header('HTTP/1.1 404 Not Found');
	die();
}

// load library if do not exists already
if (!class_exists('\\KocujPlLib\\V4a\\Classes\\Project', false)) {
	// check if Kocuj Internal Lib exists and if it is administration panel
	if ((class_exists('\\KocujInternalLib\\V4a\\Classes\\Project')) && ((is_admin()) || (is_network_admin()))) {
		// load required classes
		include dirname(__FILE__).'/classes/lib-dirs.class.php';
		include dirname(__FILE__).'/classes/lib-urls.class.php';
		include dirname(__FILE__).'/classes/project.class.php';
		// initialize required classes
		\KocujPlLib\V4a\Classes\LibDirs::getInstance();
		\KocujPlLib\V4a\Classes\LibUrls::getInstance();

		/**
		 * Automatic loading of classes
		 *
		 * @access public
		 * @param string $class Class name
		 * @return void
		 */
		function autoload($class) {
			// load class
			if (substr($class, 0, 15) === 'KocujPlLib\\V4a\\') {
				$div = explode('\\', $class);
				$count = count($div);
				$filename = $div[$count-1];
				unset($div[$count-1], $div[1], $div[0]);
				$dirArray = preg_replace('/([A-Z])/', '-$1', $div);
				if (!empty($dirArray)) {
					foreach ($dirArray as $key => $val) {
						$dirArray[$key] = substr($val, 1);
					}
				}
				set_include_path(\KocujPlLib\V4a\Classes\LibDirs::getInstance()->getDir().'/'.strtolower(implode('/', $dirArray)));
				spl_autoload(strtolower(substr(preg_replace('/([A-Z])/', '-$1', $filename), 1)), '.class.php');
				restore_include_path();
			}
		}

		// set automatic loading of classes
		spl_autoload_register('\\KocujPlLib\\V4a\\autoload');
	}
}
